Subject: bug#42052: 28.0.50; tab-bar-mode should be frame-local

From: Stefan Monnier <[email-masked]>
Date: Sun, 12 Jul 2020 12:38:25 -0400

Juri Linkov [2020-07-12 03:04:31] wrote:

>>> I don't know if such thing as frame-local keybindings is currently possible.
>>>
>>> The manual at (info "(elisp) Searching Keymaps") shows the decision tree:
>>
>> FWIW, I think it would be nice to eliminate the last few remaining
>> places where we collect the active keymaps by hand rather than by
>> calling Fcurrent_active_maps.
>>
>> Then we could allow Elisp code to modify the behavior of
>> `current-active-maps`.
>
> I can't find these places where the active keymaps are collected by hand.

Grep for `current_minor_maps`: it should ideally only be called from
Fcurrent_minor_mode_maps and Fcurrent_active_maps.

IIRC it's done in the code to build the menus and the tool bar.

        Stefan